ncbi-vdb (3.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 09 Apr 2025 21:28:39 -0400

ncbi-vdb (3.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Move python3 to main Build-Depends (from -Arch) and add dh-python.
    - Have ncbi-vdb-data replace sra-toolkit << 3.2 over debian.kfg and
      (for now) incorporate a virtual python3-vdb package, to be split out
      into a regular package post-Trixie.
    - Belatedly have -dev packages depend on ${devlibs:Depends} (from
      d-shlibs) rather than the inapplicable ${shlibs:Depends}.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * debian/debian.kfg: New; taken over from sra-toolkit, augmented with a
    central /vdb/schema/paths = "/usr/lib/ncbi-vdb" setting.
  * debian/ncbi-vdb-data.install: Install debian.kfg to /etc/ncbi and
    py_vdb/vdb.py to /usr/lib/python3/dist-packages.
  * debian/patches/fix_{cmake,x32}.patch: Formally update accordingly.
  * debian/patches/python-use-default-runtime.patch (new): Bypass upstream's
    logic for locating VDB shared libraries in favor of tacking on .3 and
    honoring the system search path.
  * debian/rules:
    - Stop injecting /usr/lib/ncbi-vdb/ into schema include directives.
    - Enable DebHelper's Python 3 addon.
  * debian/.gitignore: Ignore generated maintainer script fragments.
  * .gitignore: Ignore Debian additions.
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 08 Apr 2025 21:43:30 -0400

ncbi-vdb (3.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/copyright: update according to lrc

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2024 09:55:38 +0100

ncbi-vdb (3.0.9+dfsg-2) unstable; urgency=medium

  * Upload to unstable to join Mbed TLS 3.x.  (Closes: #1075868.)
  * debian/salsa-ci.yml: Comment out aptly setup, no longer needed.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 17 Oct 2024 22:35:54 -0400

ncbi-vdb (3.0.9+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version

  [ Aaron M. Ucko ]
  * debian/control: Version libmbedtls-dev B-D to (>= 3), so far available
    only in experimental, to match recent versions' usage.
  * debian/patches/system_mbedtls_3.patch (new): Reinstate test for system
    mbed TLS, tweaking it to accept (and moreover require) 3.x.
  * debian/salsa-ci.yml: Reenable aptly per the need to target
    experimental again for now.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Apr 2024 17:40:20 -0400

ncbi-vdb (3.0.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/salsa-ci.yml: Stop reenabling aptly, no longer needed.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 Jan 2023 17:43:12 -0500

ncbi-vdb (3.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Drop libkdf5-* and corresponding libhdf5-dev build-dep.
  * debian/copyright: Drop references to content removed upstream, both in
    Files-Excluded and in special cases.
  * debian/patches: Refresh for 3.0.{1,2}(+dfsg); many of our changes can go
    away now that upstream supports using system mbed TLS.  (The only
    difference between 3.0.1 and 3.0.2 is a formal version bump to sync
    with sra-tools 3.0.2.)
  * debian/rules: Account for upstream library installation changes:
    - Honoring CMAKE_INSTALL_LIBDIR (which specifies multiarch paths).
    - Dropping several static libraries (which had been installed on
      principle).
    - Dropping libkdf5.
  * Standards-Version: 4.6.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 27 Dec 2022 12:01:29 -0500

ncbi-vdb (3.0.0+dfsg2-4) experimental; urgency=medium

  * debian/control:
    - Drop i386, desupported upstream.
    - Formally clean up per cme fix.
  * debian/rules: Use $(DEB_HOST_ARCH_BITS) in LIBINSTALLDIR for the sake
    of x32.
  * debian/salsa-ci.yml: Enable aptly for the sake of sra-sdk 3.x until
    both packages return to unstable.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 14 Nov 2022 21:30:44 -0500

ncbi-vdb (3.0.0+dfsg2-3) experimental; urgency=medium

  * .gitignore: Ignore temporary interfaces/cc/gcc/aarch64 symlink.
  * debian/patches/detect_BITS.patch (new): Base BITS on sizeof(void *).
    This change is particularly helpful on x32, which the build system
    otherwise conflates with x86_64.
  * debian/patches/fix_cmake.patch: Explicitly link mbedtls's dependencies.
    They see some direct usage.
  * debian/patches/fix_x32.patch (new): Fully fix x32 builds.
    In particular, don't try to build test-wvdb-slow when the address
    space is only 32 bits wide.
  * debian/rules:
    - Unhardcode architecture component in chrpath call.
    - Address arm64/aarch64 header path mismatch with a symlink.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 01 Sep 2022 23:01:22 -0400

ncbi-vdb (3.0.0+dfsg2-2) experimental; urgency=medium

  * debian/.gitignore: Also ignore common-install-stamp.
  * debian/control: Split out Build-Depends-Arch, for nearly everything.
  * debian/patches/fix_cmake.patch: Link libncbi-(w)vdb.so against all
    dependencies.  (Leave the test subtree's COMMON_LIBS_* settings alone
    because tests link statically.)
  * debian/rules: Accommodate builds covering only architecture-dependent
    or architecture-independent packages, with the help of a new
    debian/common-install-stamp target.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 26 Aug 2022 08:08:33 -0400

ncbi-vdb (3.0.0+dfsg2-1) experimental; urgency=medium

  * Merge (or port, as appropriate) changes from 2.11.2+dfsg-5.
    - Account for changes to the binary package inventory.
    - Account for layout changes.
    - Extend upstream's copyright through 2022.
  * .gitignore: Also ignore obj-* and test/vdb/kfg/*/user-settings.mkfg.
  * debian/control: Drop unneeded build dependencies: libngs-* and
    default-jdk-headless.  Keeping libngs-* would have resulted in a
    dependency cycle with sra-sdk 3.x (which incorporates ngs-sdk), and
    default-jdk-headless is heavy.
  * debian/copyright: Additionally exclude */vdb3/jwt-tool/googletest,
    which came to my attention over formal line-ending mismatches relative
    to the tarball (specifically in Visual Studio files).
  * debian/rules: Clean up fully between builds.
  * debian/watch: Adjust dversionmangle to allow digits after +dfsg, per
    the use of +dfsg2 for now.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 25 Aug 2022 00:55:47 -0400

ncbi-vdb (3.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Switch to cmake build system
  * Reflect SONAME bump in package names
  * Library libvdb-sqlite is not provided by upstream any more which
    builds libsam-extract as new library.  Binary packages are adapted
    accordingly
  * Review copyright
  * Remove RPATH
  * Standards-Version: 4.6.1

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 11:53:03 +0100

ncbi-vdb (2.11.2+dfsg-5) unstable; urgency=medium

  * .gitignore: Also ignore libs/jni/jni(_md).h.
  * debian/.gitignore (new): Ignore generated files and subtrees.
  * debian/control:
    - Clean up descriptions.  In particular, use a modern synopsis cribbed
      from vdb3/README.md as a first paragraph across the board.
    - Note that all packages already qualify as Multi-Arch: same.
    - Introduce ncbi-vdb-data (M-A: foreign) and have libncbi-(w)vdb2
      depend on it.
  * debian/copyright:
    - Resync details with tarball contents.
    - Stop claiming Upstream-Name: ngs.
  * debian/ncbi-vdb-data.install: Rename from libncbi-vdb2.install.  (It
    listed only default configuration files, with d-shlibs taking care
    of the rest.)
  * debian/rules: Move schemata to ncbi-vdb-data, not libncbi-vdb2.
  * Standards-Version: 4.6.1 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Aug 2022 14:26:20 -0400

ncbi-vdb (2.11.2+dfsg-4) unstable; urgency=medium

  * zstd.patch: Adopt dynamic system zstd more fully.
    - Comment out ZSTD_STATIC_LINKING_ONLY to enforce use of stable APIs.
    - Actually link libncbi-(w)vdb and libvdb-sqlite against libzstd.
  * Have libncbi-vdb2 break sra-toolkit (<< 2.11) anyway -- even with zstd
    linkage fixed, sra-toolkit 2.10.x's autopkgtest will still fail over
    dropped support for protected repository configuration.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 22 Nov 2021 22:39:27 -0500

ncbi-vdb (2.11.2+dfsg-3) unstable; urgency=medium

  * Leave mbedtls quirk handling to d-shlibs (>= 0.104).  (Closes: #999788.)
  * Skip VDB3, at least for now -- it FTBFS on i386, and has so far just
    been an uninstalled technology preview.
  * Enable arm64 builds.  To that end:
    - add_-msse2.patch: Limit -msse2 to 32-bit x86.  (Redundant on 64-bit
      x86, invalid elsewhere.)
    - debian/rules: Wildcard upstream architecture name (VDB_ARCH), no
      longer consistently aligned with any single dpkg-architecture variable.
  * debian/watch: Track tags rather than releases, of which GitHub no
    longer lists any(!).

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 20 Nov 2021 23:06:09 -0500

ncbi-vdb (2.11.2+dfsg-2) unstable; urgency=medium

  * Binary package libncbi-vdb-dev Depends: libzstd-dev

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 16:56:26 +0100

ncbi-vdb (2.11.2+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: cmake
  * Use Debian packaged libzstd
  * Fix missing cstdlib include
  * Add more files to debian/not-installed
  * Drop RFCs from package source

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 14:16:45 +0200

ncbi-vdb (2.10.9+dfsg-2) unstable; urgency=medium

  * d/p/fix_2.10.9_refseq_race.patch: Fix a new race in asynchronous
    RefSeq loading code, per upstream (https://github.com/ncbi/ncbi-vdb)
    commits 06152a5, cf92dca, and b342af2.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 18 Jan 2021 16:57:54 -0500

ncbi-vdb (2.10.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/watch: Use filemangle to make sure the archive will not mixed up
    with other ncbi code with same version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jan 2021 08:27:11 +0100

ncbi-vdb (2.10.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * debian/not-installed: Update for new release (more test-related files).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 02 Jun 2020 21:35:11 -0400

ncbi-vdb (2.10.6+dfsg-5) unstable; urgency=medium

  * Comment out fix_parallel_build.patch (evidently insufficient) in favor
    of overriding dh_prep to spare(!) debian/tmp.
  * optionally_reinstate_default_schema.patch: Use plain extern rather
    than SRA_EXTERN to avoid likely multiple definitions under GCC 10.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 May 2020 10:32:22 -0400

ncbi-vdb (2.10.6+dfsg-4) unstable; urgency=medium

  * debian/patches/fix_parallel_build.patch (new): Use unique temporary
    directory names when combining static libraries.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 26 May 2020 08:06:35 -0400

ncbi-vdb (2.10.6+dfsg-3) unstable; urgency=medium

  * debian/patches/optionally_reinstate_default_schema.patch: New patch to
    let callers use the default schema, otherwise dropped upstream as of
    2.10.0.  (The toggle is a new global variable
    SRAUseLegacyDefaultSchema, which sra-sdk's tools/sra-load will enable
    to address the autopkgtest failure #961347.)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 25 May 2020 22:38:23 -0400

ncbi-vdb (2.10.6+dfsg-2) unstable; urgency=medium

  * Install libs/vfs/services-priv.h as .../services-priv-internal.h to
    distinguish it from interfaces/vfs/services-priv.h.  (Neither can
    stand in for the other.)
  * Formally refresh patches that developed offsets.
  * Factor out a new DSLMFLAGS macro for common d-shlibmove flags; include
    the libmbedx509-0 quirk there since it will soon be needed everywhere.
  * Address remaining underlinkage of system libraries (mbed*, z, bz2).
    At this point, the only remaining unresolved references are of libkdf5
    against symbols that could come from either libncbi-vdb or libncbi-wvdb.
    (Closes: #952623, #952627, #953897.)
  * Copy headers rather than moving them to allow for consecutive builds.
  * Fix typo in override_dh_missing name; supply debian/not-installed.
  * Add myself to Uploaders.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 20 May 2020 22:13:24 -0400

ncbi-vdb (2.10.6+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Mon, 18 May 2020 23:55:32 +0200

ncbi-vdb (2.10.5+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version

  [ Andreas TIlle ]
  * Try even harder to get rid of vdb_mbedtls symbols

  [ Michael R. Crusoe ]
  * Update mbedtls patches to 2.10.5 and consolidate them

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Mar 2020 02:04:31 +0100

ncbi-vdb (2.10.3+dfsg-2) unstable; urgency=medium

  * Removed additional invocations of vdb_mbedtls to avoid
    undefined references when linking against vdb.

 -- Steffen Moeller <moeller@debian.org>  Mon, 02 Mar 2020 01:12:48 +0100

ncbi-vdb (2.10.3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * debhelper-compat 12 (routine-update)
  * Adjusted patches.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0
  * Architecture: amd64 i386 x32
    Closes: #950737
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 24 Feb 2020 21:49:23 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libncbi-wvdb3`.
